<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__udss__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_udss_t</compoundname>
    <includes local="no">cy_ble_uds.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__udss__t_1ab10ebb2fb36f99689676aaaae1707a45" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_udss_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>User Data Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="100" />
      </memberdef>
      <memberdef id="structcy__stc__ble__udss__t_1a1ea45f89850d6936f0c0b6e7cd66a10f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__udss__char__t">cy_stc_ble_udss_char_t</ref></type>
        <definition>cy_stc_ble_udss_char_t cy_stc_ble_udss_t::charInfo[CY_BLE_UDS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_UDS_CHAR_COUNT]</argsstring>
        <name>charInfo</name>
        <briefdescription>
<para>User Data Service Characteristics info array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="103" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="103" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with User Data Service attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1304">
        <label>cy_stc_ble_udss_t</label>
        <link refid="structcy__stc__ble__udss__t" />
        <childnode refid="1305" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="1305">
        <label>cy_stc_ble_udss_char_t</label>
        <link refid="structcy__stc__ble__udss__char__t" />
      </node>
    </collaborationgraph>
    <location bodyend="104" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" bodystart="97" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_uds.h" line="98" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__udss__t_1a1ea45f89850d6936f0c0b6e7cd66a10f" virt="non-virtual"><scope>cy_stc_ble_udss_t</scope><name>charInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__udss__t_1ab10ebb2fb36f99689676aaaae1707a45" virt="non-virtual"><scope>cy_stc_ble_udss_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>